<ui:composition xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <div class="form-horizontal">
        <a4j:region>
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.hpd.OrganizationalUnit']}</ui:define>
                <ui:param name="id" value="nodeIn"/>
                <h:selectOneMenu value="#{currentRequest.selectedNode}" styleClass="form-control gzl-select-text"
                                 id="nodeIn">
                    <s:selectItems value="#{providerInformationSource.getAvailableNodes()}" var="n" label="#{n.name}"
                                   noSelectionLabel="#{messages['net.ihe.gazelle.hpd.PleaseSelect']}"/>
                    <a4j:ajax event="change" render="requestConfPanel" execute="@this"
                              listener="#{providerInformationSource.onNodeSelected(currentRequest)}"/>
                </h:selectOneMenu>
            </s:decorate>
        </a4j:region>
        <s:div rendered="#{currentRequest.selectedNode != null}">
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml" id="dnToDelete">
                <ui:param name="id" value="dnRename"/>
                <ui:define name="label">#{messages['net.ihe.gazelle.hpd.DNOfTheEntryToRename']}</ui:define>
                <h:inputText styleClass="form-control" id="dnRename" value="#{currentRequest.request.dn}"
                             required="true" requiredMessage="The DN cannot be null"/>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.hpd.NewRDN']}</ui:define>
                <ui:param name="id" value="newRdnValue"/>
                <h:inputText styleClass="form-control" value="#{currentRequest.request.newrdn}"
                             required="true" requiredMessage="The new RDN cannot be null"
                             id="newRdnValue"/>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:param name="id" value="superiorIn"/>
                <ui:define name="label">#{messages['net.ihe.gazelle.hpd.NewSuperior']}</ui:define>
                <h:inputText styleClass="form-control" value="#{currentRequest.request.newSuperior}" id="superiorIn"/>
            </s:decorate>
            <s:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                <ui:param name="id" value="oldRdn"/>
                <ui:define name="label">#{messages['net.ihe.gazelle.hpd.DeleteOldRDN']}</ui:define>
                <h:selectBooleanCheckbox value="#{currentRequest.request.deleteoldrdn}" id="oldRdn"/>
            </s:decorate>
        </s:div>
    </div>
</ui:composition>
